Innehåll

# Reset Statement

Stänger alla öppna filer och skriver innehållet i alla filbuffertar till hårddisken.

### Syntax:

    Reset

### Exempel:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "Detta är en ny textrad"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "All files will be closed", 0, "Error"
    End Sub

Närliggande ämnen

Close Statement

Open Statement

Stötta oss!